with main_Window;
with Mcc.Gui.Widget.Label;
package body main_Actions is
   Counter : Integer := 0;

   procedure push_me_Pushed(Obj : in out Mcc.Gui.Widget.Button.Button'Class) is
   begin
      if Counter mod 2 = 0 then
         Mcc.Gui.Widget.Label.Set_Text(
            Main_Window.My_Label, "pushed");
      else
         Mcc.Gui.Widget.Label.Set_Text(
            Main_Window.My_Label, "pushed again");
      end if;
      Counter := Counter + 1;
   end push_me_Pushed;
end main_Actions;
